Second try at importing the pine4 + SSL port

This commit is contained in:
Nick Sayer 1999-06-23 07:30:55 +00:00
parent 04405ccd43
commit e8b984175a
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=19713
9 changed files with 192 additions and 0 deletions

48
mail/pine4-ssl/Makefile Normal file
View File

@ -0,0 +1,48 @@
# New ports collection makefile for: pine4-ssl
# Version required: 1.0
# Date created: 22 June 1999
# Whom: Nick Sayer <nsayer@freebsd.org>
#
# $Id:$
#
# I spent a <strong>very frustrating</strong> half hour with portlint
# on this one and could never get it to fewer than 8 frigging warnings.
# Good luck to you. :-P
PKGNAME= pine-4.10+ssl-1.0
DISTNAME= pine4+ssl-1.0
DISTFILES= ${DISTNAME}${EXTRACT_SUFX} \
pine4.10${EXTRACT_SUFX}
CATEGORIES= mail news
MAINTAINER= nsayer@freebsd.org
BUILD_DEPENDS+= ${PREFIX}/lib/libssl.a:${PORTSDIR}/security/openssl \
${PREFIX}/lib/libcrypto.a:${PORTSDIR}/security/openssl \
${PREFIX}/lib/libRSAglue.a:${PORTSDIR}/security/openssl \
${PREFIX}/lib/librsaref.a:${PORTSDIR}/security/rsaref
EXTRACT_ONLY= pine4.10${EXTRACT_SUFX}
RESTRICTED= "Contains cryptography - no export from US"
WRKSRC= ${WRKDIR}/pine4.10
MASTERDIR= ${.CURDIR}/../pine4
FILESDIR= ${.CURDIR}/files
.if exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})
IGNORE='Please fill out the form at http://www.kfu.com/~nsayer/encryption/pine.html and place the sources at ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} then run make again'
.endif
post-extract:
( cd ${WRKSRC} ; tar xfz ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} )
do-build:
@(cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ./build bsf EXTRAAUTHENTICATORS=ssl)
.include "${MASTERDIR}/Makefile"

2
mail/pine4-ssl/distinfo Normal file
View File

@ -0,0 +1,2 @@
MD5 (pine4+ssl-1.0.tar.gz) = fa2c94878aa916771f85677e8959fd77
MD5 (pine4.10.tar.gz) = f871e201b4070da1f060f35d3b8f2ccd

View File

@ -0,0 +1,16 @@
# List of features; see Pine's Setup/options menu for the current set.
# e.g. feature-list= select-without-confirm, signature-at-bottom
# Default condition for all of the features is no-.
feature-list=compose-send-offers-first-filter
# This variable takes a list of programs that message text is piped into
# after MIME decoding, prior to display.
display-filters="-----BEGIN PGP" /usr/local/bin/pgpdecode
# This defines a program that message text is piped into before MIME
# encoding, prior to sending
sending-filters=/usr/local/bin/pgpsign,
/usr/local/bin/pgpencrypt _RECIPIENTS_
# hook, to get rid of the sucking 'quoted printable' ;-))
# enable-8bit-esmtp-negotiation

View File

@ -0,0 +1,51 @@
#! /bin/sh
# ---------- pgpdecode ---------
# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
#
# Sun Mar 24 12:01:21 MET 1996 Andreas Klemm <andreas@knobel.gun.de>
# The tmp files in the original version were world readable for
# the short time of unpacking, setting suitable umask prevents this
#
# Wed Sep 16 21:35:43 WST 1997 Anthony Di Pietro <anthony@dino.omen.com.au>
# Modified to work with both PGP v2 and PGP v5.
# Now uses mktemp to prevent symlink attack and tmp races.
umask 077
MYNAME=`basename $0`
STDOUT=`mktemp -q /tmp/${MYNAME}.XXXXXX`
if [ $? -ne 0 ]
then
echo "$0: Can't create temporary file to decode message."
exit 1
fi
trap "rm -f $STDOUT ; exit" 0 1 2 15
STDERR=`mktemp -q /tmp/${MYNAME}.XXXXXX`
if [ $? -ne 0 ]
then
echo "$0: Can't create temporary file to decode message."
exit 1
fi
trap "rm -f $STDOUT $STDERR; exit" 0 1 2 15
if [ -x /usr/local/bin/pgpv ]
then
pgpv 2>&1 > $STDOUT |tee $STDERR > /dev/tty
else
pgp -f 2>&1 > $STDOUT |tee $STDERR > /dev/tty
fi
cat $STDERR | \
grep -v '^No files specified. Using stdin.$' | \
grep -v '^Opening file \"stdout\" type text.$' | \
grep -v '^Opening file \"stdout\" type binary.$' | \
grep -v '^Opening file \"/dev/null\" type text.$' | \
grep -v '^Opening file \"/dev/null\" type binary.$' | \
grep -v '^$'| \
sed -e 's/^/| /'
echo ""
cat $STDOUT

View File

@ -0,0 +1,11 @@
#!/bin/sh
# ---------- pgpencrypt ---------
# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
# Wed 16 Sep 1998 23:46:43 WST Anthony Di Pietro <anthony@dino.omen.com.au>
# Modified to work with both PGP v2 and PGP v5.
if [ -x /usr/local/bin/pgpe ]
then
pgpe -s -a -r $*
else
pgp -feast $*
fi

View File

@ -0,0 +1,11 @@
#!/bin/sh
# ---------- pgpsign ---------
# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
# Wed 16 Sep 1998 23:48:51 WST Anthony Di Pietro <anthony@dino.omen.com.au>
# Modified to work with both PGP v2 and PGP v5.
if [ -x /usr/local/bin/pgps ]
then
pgps -a -t
else
pgp -fast
fi

View File

@ -0,0 +1 @@
PINE(tm) + SSL -- a Program for Internet News & Email, with SSL add-on

30
mail/pine4-ssl/pkg-descr Normal file
View File

@ -0,0 +1,30 @@
This version of pine includes add-on code to use SSL to connect to
servers. This is sort of equivalent to clicking on the 'server requires
SSL' button in Netscape or Outlook or the like.
Original DESCR file follows:
Pine (Program for Internet News & Email) is a tool for reading, sending,
and managing electronic messages. It was designed specifically with
novice computer users in mind, but can be tailored to accommodate the
needs of "power users" as well. Pine uses Internet message protocols
(e.g. RFC-822, SMTP, MIME, IMAP, NNTP) and runs on Unix and PCs.
Besides Pine this package includes the Pico editor, the Pilot file browser
and also the IMAPv4r1 daemon and POP2/POP3 servers (these daemons are not
built by default -- please use the "imap-uw" port for this).
An optional set of configuration files can be put into /usr/local/etc
to set system wide defaults. Have a look at the documentation installed
in /usr/local/share/doc/pine/ for more details.
Also included in dot.pinerc.pgp.sample are example entries needed to
add to your .pinerc to activate the pgp add on scripts pgpdecode,
pgpencode, and pgpsign.
WWW: http://www.washington.edu/pine/
Adrian Penisoara (Ady)
pine@freebsd.ady.ro
WWW: http://www.washington.edu/pine

22
mail/pine4-ssl/pkg-plist Normal file
View File

@ -0,0 +1,22 @@
bin/pico
bin/pilot
bin/pine
bin/pgpencrypt
bin/pgpdecode
bin/pgpsign
etc/dot.pinerc.pgp.sample
@exec %D/bin/pine -P %D/etc/pine.conf -conf >%D/etc/pine.conf.tmp
@exec /bin/mv %D/etc/pine.conf.tmp %D/etc/pine.conf
share/doc/pine/brochure.txt
share/doc/pine/tech-notes.txt
share/doc/pine/tech-notes/background.html
share/doc/pine/tech-notes/cmd-line.html
share/doc/pine/tech-notes/config-notes.html
share/doc/pine/tech-notes/config.html
share/doc/pine/tech-notes/index.html
share/doc/pine/tech-notes/installation.html
share/doc/pine/tech-notes/introduction.html
share/doc/pine/tech-notes/low-level.html
share/doc/pine/tech-notes/porting.html
@dirrm share/doc/pine/tech-notes
@dirrm share/doc/pine